#!/usr/bin/python
# coding=utf-8
from debug import log_method_calls, RELEASE

try:
    from API_v_1_0 import *
except:  # ImportError is not defined in sandbox
    pass
from base import WebWorkerBase

__author__ = "Aleksandr Shyshatsky"


class ProshipsWorker(WebWorkerBase):
    """
    This is a basic skeleton of webworker that should grab
    information about player's statistics data;
    """
    # override this value in subclass
    API_URL = 'http://long.proships.ru/stat/api.php'

    def __init__(self):
        WebWorkerBase.__init__(self)

    @log_method_calls(RELEASE)
    def get_information(self, players):
        params = {'nicks': ','.join(players)}
        request_url = '?'.join([self.API_URL, web.urlEncode(params)])

        self._get_information(request_url)

worker = ProshipsWorker()
